Package com.sun.jna.platform.unix

# Class X11.XKeyboardStateRef

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.XKeyboardStateRef

All Implemented Interfaces:
  `Structure.ByReference`

Enclosing interface:
  X11

@FieldOrder({"key_click_percent","bell_percent","bell_pitch","bell_duration","led_mask","global_auto_repeat","auto_repeats"}) public static class X11.XKeyboardStateRef extends Structure implements Structure.ByReference

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`byte[]`
`auto_repeats`
Bit vector.
`int`
`bell_duration`
Duration of the bell specified in milliseconds, if possible.
`int`
`bell_percent`
Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.
`int`
`bell_pitch`
Pitch (specified in Hz) of the bell, if possible.
`int`
`global_auto_repeat`
Global auto repeat mode: AutoRepeatModeOff or AutoRepeatModeOn.
`int`
`key_click_percent`
Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.
`NativeLong`
`led_mask`
State of the LEDs.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`XKeyboardStateRef()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### key_click_percent

public int key_click_percent
Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.

### bell_percent

public int bell_percent
Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.

### bell_pitch

public int bell_pitch
Pitch (specified in Hz) of the bell, if possible. A setting of -1 restores the default.

### bell_duration

public int bell_duration
Duration of the bell specified in milliseconds, if possible. A setting of -1 restores the default.

### led_mask

public NativeLong led_mask
State of the LEDs. At most 32 LEDs numbered from one are supported.

### global_auto_repeat

public int global_auto_repeat
Global auto repeat mode: AutoRepeatModeOff or AutoRepeatModeOn.

### auto_repeats

public byte[] auto_repeats
Bit vector. Each bit set to 1 indicates that auto-repeat is enabled for the corresponding key. The vector is represented as 32 bytes. Byte N (from 0) contains the bits for keys 8N to 8N + 7 with the least significant bit in the byte representing key 8N.

## Constructor Details

### XKeyboardStateRef

public XKeyboardStateRef()

## Method Details

### toString

public String toString()
Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.